#include "MainComponent.h"

//==============================================================================
MainComponent::MainComponent()
{
    setSize (600, 600);

    //comboBox.setEditableText( true );
    //comboBox.setBounds( 10, 10, 200, 50 );
    //comboBox.addItem( L"Item 1", 1 );
    //comboBox.addItem( L"Item 2", 2 );
    //comboBox.addItem( L"Item 3", 3 );
    //addAndMakeVisible( comboBox );

    label.setEditable( true );
    label.setBounds( 10, 110, 200, 50 );
    label.setColour( juce::Label::ColourIds::backgroundColourId, juce::Colours::black );
    label.setColour( juce::Label::ColourIds::outlineWhenEditingColourId, juce::Colours::red );
    label.setColour( juce::Label::ColourIds::outlineColourId, juce::Colours::white );
    addAndMakeVisible( label );

    button1.setButtonText( L"Button 1" );
    button1.setBounds( 10, 210, 100, 50 );
    addAndMakeVisible( button1 );

    button2.setButtonText( L"Button 2" );
    button2.setBounds( 10, 310, 100, 50 );
    addAndMakeVisible( button2 );

    button3.setButtonText( L"Button 3" );
    button3.setBounds( 10, 410, 100, 50 );
    addAndMakeVisible( button3 );
}

MainComponent::~MainComponent()
{
}

//==============================================================================
void MainComponent::paint (juce::Graphics& g)
{
    // (Our component is opaque, so we must completely fill the background with a solid colour)
    g.fillAll (getLookAndFeel().findColour (juce::ResizableWindow::backgroundColourId));

    g.setFont (juce::Font (16.0f));
    g.setColour (juce::Colours::white);
    g.drawText ("Hello World!", getLocalBounds(), juce::Justification::centred, true);
}

void MainComponent::resized()
{
    // This is called when the MainComponent is resized.
    // If you add any child components, this is where you should
    // update their positions.
}
